//
// Listing 1-1: Die C++-Schnittstelle fr das Mock-Objekt
//

#include <string>


/** Schnittstellenklasse fr eine Konfigurationsdatei.
  * Jeder Datensatz besteht aus genau 1 Zeile im Textformat.
  * Jede Datei enthlt genau 3 Zeilen mit Daten.
  * Verarbeitete Konfigurationen werden am Zeilenende mit
  * der Zeichenkette "/fertig" markiert zurckgeschrieben.
  */
class Interface
{
 public:

  /** ffnet die bergebene Datei.
    */
  virtual void open(const std::string &name) = 0;

  /** Liest einen Datensatz bestehend aus einer Text-Zeile.
    */
  virtual std::string read() = 0;

  /** Schreibt einen Datensatz bestehend aus einer Text-Zeile.
    */
  virtual void write(const std::string &s) = 0;

  /** Schliesst die Datei
    */
  virtual void close() = 0;
};

